# Uses of Interface
org.w3c.dom.events.Event

Packages that use Event
Package
Description
org.w3c.dom.events
Provides interfaces for DOM Level 2 Events.
org.w3c.dom.ls
Provides interfaces for DOM Level 3 Load and Save.

## Uses of Event in org.w3c.dom.events

Subinterfaces of Event in org.w3c.dom.events
Modifier and Type
Interface
Description
`interface`
`MouseEvent`
The `MouseEvent` interface provides specific contextual information associated with Mouse events.
`interface`
`MutationEvent`
The `MutationEvent` interface provides specific contextual information associated with Mutation events.
`interface`
`UIEvent`
The `UIEvent` interface provides specific contextual information associated with User Interface events.
Methods in org.w3c.dom.events that return Event
Modifier and Type
Method
Description
`Event`
DocumentEvent.`createEvent(String eventType)`
Methods in org.w3c.dom.events with parameters of type Event
Modifier and Type
Method
Description
`boolean`
EventTarget.`dispatchEvent(Event evt)`
This method allows the dispatch of events into the implementations event model.
`void`
EventListener.`handleEvent(Event evt)`
This method is called whenever an event occurs of the type for which the `EventListener` interface was registered.

## Uses of Event in org.w3c.dom.ls

Subinterfaces of Event in org.w3c.dom.ls
Modifier and Type
Interface
Description
`interface`
`LSLoadEvent`
This interface represents a load event object that signals the completion of a document load.
`interface`
`LSProgressEvent`
This interface represents a progress event object that notifies the application about progress as a document is parsed.